Permalink
Browse files

GOOD BYE internal bundle

- You now have to run bundle install
  • Loading branch information...
1 parent ca58013 commit e5af9cdff77ddb260735418126457063137b4c3d @newfront committed Nov 30, 2010
Showing 2,757 changed files with 0 additions and 336,234 deletions.
Binary file not shown.
@@ -1,19 +0,0 @@
-#!/usr/bin/env ruby
-#
-# This file was generated by RubyGems.
-#
-# The application 'erubis' is installed as part of a gem, and
-# this file is here to facilitate running it.
-#
-
-require 'rubygems'
-
-version = ">= 0"
-
-if ARGV.first =~ /^_(.*)_$/ and Gem::Version.correct? $1 then
- version = $1
- ARGV.shift
-end
-
-gem 'erubis', version
-load Gem.bin_path('erubis', 'erubis', version)
@@ -1,19 +0,0 @@
-#!/usr/bin/env ruby
-#
-# This file was generated by RubyGems.
-#
-# The application 'rack' is installed as part of a gem, and
-# this file is here to facilitate running it.
-#
-
-require 'rubygems'
-
-version = ">= 0"
-
-if ARGV.first =~ /^_(.*)_$/ and Gem::Version.correct? $1 then
- version = $1
- ARGV.shift
-end
-
-gem 'rack', version
-load Gem.bin_path('rack', 'rackup', version)
@@ -1,19 +0,0 @@
-#!/usr/bin/env ruby
-#
-# This file was generated by RubyGems.
-#
-# The application 'rails' is installed as part of a gem, and
-# this file is here to facilitate running it.
-#
-
-require 'rubygems'
-
-version = ">= 0"
-
-if ARGV.first =~ /^_(.*)_$/ and Gem::Version.correct? $1 then
- version = $1
- ARGV.shift
-end
-
-gem 'rails', version
-load Gem.bin_path('rails', 'rails', version)
@@ -1,19 +0,0 @@
-#!/usr/bin/env ruby
-#
-# This file was generated by RubyGems.
-#
-# The application 'rake' is installed as part of a gem, and
-# this file is here to facilitate running it.
-#
-
-require 'rubygems'
-
-version = ">= 0"
-
-if ARGV.first =~ /^_(.*)_$/ and Gem::Version.correct? $1 then
- version = $1
- ARGV.shift
-end
-
-gem 'rake', version
-load Gem.bin_path('rake', 'rake', version)
@@ -1,19 +0,0 @@
-#!/usr/bin/env ruby
-#
-# This file was generated by RubyGems.
-#
-# The application 'thor' is installed as part of a gem, and
-# this file is here to facilitate running it.
-#
-
-require 'rubygems'
-
-version = ">= 0"
-
-if ARGV.first =~ /^_(.*)_$/ and Gem::Version.correct? $1 then
- version = $1
- ARGV.shift
-end
-
-gem 'thor', version
-load Gem.bin_path('thor', 'rake2thor', version)
@@ -1,19 +0,0 @@
-#!/usr/bin/env ruby
-#
-# This file was generated by RubyGems.
-#
-# The application 'thor' is installed as part of a gem, and
-# this file is here to facilitate running it.
-#
-
-require 'rubygems'
-
-version = ">= 0"
-
-if ARGV.first =~ /^_(.*)_$/ and Gem::Version.correct? $1 then
- version = $1
- ARGV.shift
-end
-
-gem 'thor', version
-load Gem.bin_path('thor', 'thor', version)
@@ -1,19 +0,0 @@
-#!/usr/bin/env ruby
-#
-# This file was generated by RubyGems.
-#
-# The application 'treetop' is installed as part of a gem, and
-# this file is here to facilitate running it.
-#
-
-require 'rubygems'
-
-version = ">= 0"
-
-if ARGV.first =~ /^_(.*)_$/ and Gem::Version.correct? $1 then
- version = $1
- ARGV.shift
-end
-
-gem 'treetop', version
-load Gem.bin_path('treetop', 'tt', version)
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
@@ -1,3 +0,0 @@
-: release 1.0.0 (2006-03-12)
- - first release (1.0.0)
-
@@ -1,57 +0,0 @@
-= README
-
-revision:: $Rev: 1 $
-release:: $Release: 1.0.0 $
-copyright:: copyright(c) 2006 kuwata-lab.com all rights reserved.
-
-
-== Introduction
-
-'abstract.rb' is a library which enable you to define abstract method in Ruby.
-
-The followings are examples:
-
- ## example1. (shorter notation)
- require 'rubygems' # if installed with 'gem install'
- require 'abstract'
- class Foo
- abstract_method 'arg1, arg2=""', :method1, :method2, :method3
- end
-
- ## example2. (RDoc friendly notation)
- require 'rubygems' # if installed with 'gem install'
- require 'abstract'
- class Bar
- # ... method1 description ...
- def method1(arg1, arg2="")
- not_implemented
- end
- # ... method2 description ...
- def method2(arg1, arg2="")
- not_implemented
- end
- end
-
-
-Abstract method makes your code more descriptive.
-It is useful even for dynamic language such as Ruby.
-
-
-== Installation
-
-
-* Type 'gem install -r abstract' with root account if you have installed RubyGems.
-
-* Or type 'ruby setup.rb' with root account if you can be root account.
-
-* Or copy lib/abstract.rb into proper directory such as '/usr/local/lib/ruby/site_ruby'.
-
-
-== License
-
-Ruby's
-
-
-== Copyright
-
-copyright(c) 2006 kuwata-lab.com all rights reserved.
@@ -1,48 +0,0 @@
-#!/usr/bin/env ruby
-
-###
-### RubyGems Specification file for abstract.rb
-###
-### $Rev: 1 $
-### $Release: 1.0.0 $
-### copyright(c) 2006 kuwata-lab.com all rights reserved.
-###
-
-require 'rubygems'
-
-spec = Gem::Specification.new do |s|
- ## package information
- s.name = 'abstract'
- s.author = 'makoto kuwata'
- s.version = ("$Release: 1.0.0 $" =~ /[\.\d]+/) && $&
- s.platform = Gem::Platform::RUBY
- s.homepage = 'http://rubyforge.org/projects/abstract'
- s.summary = "a library which enable you to define abstract method in Ruby"
- s.description = <<-'END'
- 'abstract.rb' is a library which enable you to define abstract method in Ruby.
- END
-
- ## files
- files = []
- files += Dir.glob('lib/**/*')
- files += Dir.glob('test/**/*')
- files += %w[README.txt ChangeLog setup.rb abstract.gemspec]
- #s.files = files.delete_if { |path| path =~ /\.svn/ }
- s.files = files
- s.test_file = 'test/test.rb'
-end
-
-# Quick fix for Ruby 1.8.3 / YAML bug (thanks to Ross Bamford)
-if (RUBY_VERSION == '1.8.3')
- def spec.to_yaml
- out = super
- out = '--- ' + out unless out =~ /^---/
- out
- end
-end
-
-if $0 == __FILE__
- Gem::manage_gems
- Gem::Builder.new(spec).build
-end
-
@@ -1,75 +0,0 @@
-##
-## $Rev: 1 $
-## $Release: 1.0.0 $
-## copyright(c) 2006 kuwata-lab.com all rights reserved.
-##
-##
-## helper to define abstract method in Ruby.
-##
-##
-## example1. (shorter notation)
-##
-## require 'abstract'
-## class Foo
-## abstract_method 'arg1, arg2=""', :method1, :method2, :method3
-## end
-##
-##
-## example2. (RDoc friendly notation)
-##
-## require 'abstract'
-## class Bar
-## # ... method1 description ...
-## def method1(arg1, arg2="")
-## not_implemented
-## end
-##
-## # ... method2 description ...
-## def method2(arg1, arg2="")
-## not_implemented
-## end
-## end
-##
-
-
-##
-class Module
-
- ##
- ## define abstract methods
- ##
- def abstract_method args_str, *method_names
- method_names.each do |name|
- module_eval <<-END
- def #{name}(#{args_str})
- mesg = "class \#{self.class.name} must implement abstract method `#{self.name}##{name}()'."
- #mesg = "\#{self.class.name}##{name}() is not implemented."
- err = NotImplementedError.new mesg
- err.set_backtrace caller()
- raise err
- end
- END
- end
- end
-
-end
-
-
-##
-module Kernel
-
- ##
- ## raise NotImplementedError
- ##
- def not_implemented #:doc:
- backtrace = caller()
- method_name = (backtrace.shift =~ /`(\w+)'$/) && $1
- mesg = "class #{self.class.name} must implement abstract method '#{method_name}()'."
- #mesg = "#{self.class.name}##{method_name}() is not implemented."
- err = NotImplementedError.new mesg
- err.set_backtrace backtrace
- raise err
- end
- private :not_implemented
-
-end
Oops, something went wrong.

0 comments on commit e5af9cd

Please sign in to comment.